Index: frontend/src/Components/Forms/AddHotelForm.js
===================================================================
--- frontend/src/Components/Forms/AddHotelForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddHotelForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -119,6 +119,4 @@
                   return prevState + 1;
                 })
-                if(!edit)
-                  props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddItemMenuForm.js
===================================================================
--- frontend/src/Components/Forms/AddItemMenuForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddItemMenuForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -4,5 +4,4 @@
 import useFormData from "../Hooks/useFormData";
 import useCreateMenu from "../Hooks/Restaurant/useCreateMenu"
-import useCreate from "../Hooks/useCreate";
 
 const AddItemMenuForm = (props) => {
@@ -10,5 +9,4 @@
 
   const edit = props.menu
-  console.log(props.menu)
   const dummy =     {
     name: "",
@@ -25,5 +23,4 @@
     edit ? props.menu : dummy
   );
-  const { createEntity } = useCreate();
 
   return (
@@ -75,11 +72,8 @@
               onClick={(e) => {
                 e.preventDefault();
-                if(!edit) {
-                  createMenu(props.Id, formData, props.refresh)
-                }
-                else {
-                  createEntity(`/menu/${props.menu.menuId}/edit`, formData, props.refresh)
-                }
-
+                createMenu(props.Id, formData)
+                props.refresh((prevState) => {
+                  return prevState + 1;
+                })
               }}
             >
Index: frontend/src/Components/Forms/AddRestaurantForm.js
===================================================================
--- frontend/src/Components/Forms/AddRestaurantForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddRestaurantForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -82,6 +82,7 @@
                 e.preventDefault()
                 createRestaurant(formData, edit);
-                props.refresh(Math.random())
-                if(!edit) props.closeModal()
+                props.refresh((prevState) => {
+                  return prevState + 1;
+                })
               }}
             >
Index: frontend/src/Components/Forms/AddRoomForm.js
===================================================================
--- frontend/src/Components/Forms/AddRoomForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddRoomForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -13,5 +13,5 @@
     hotelRoomDescription: "",
     hotelRoomName: "",
-    numOfBeds: "",
+    numBeds: "",
     price: "",
     kitchenAvailable: false,
@@ -58,6 +58,6 @@
             type="number" 
             placeholder="Внесете го бројот на кревети" 
-            value={formData.numOfBeds}
-            name="numOfBeds"
+            value={formData.numBeds}
+            name="numBeds"
             onChange={onFormChange}
             />
@@ -117,11 +117,7 @@
               style={{ backgroundColor: "#159895" }}
               size="md"
-              onClick={(e) => {
-                e.preventDefault();
-                props.refresh((prev) => {
-                  return ++prev;
-                })
+              onClick={() => {
+                console.log(formData);
                 createHotelRoom(formData);
-                props.closeModal();
               }}
             >
Index: frontend/src/Components/Forms/AddTableAvailabilityForm.js
===================================================================
--- frontend/src/Components/Forms/AddTableAvailabilityForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddTableAvailabilityForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -62,6 +62,4 @@
               onClick={() => {
                 createTableAvailability(formData, props.table.tableId)
-                props.refresh(Math.random())
-                props.close()
               }}
             >
Index: frontend/src/Components/Forms/AddTransportForm.js
===================================================================
--- frontend/src/Components/Forms/AddTransportForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddTransportForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -11,5 +11,5 @@
       transportName: "",
       carBrand: "",
-      carType: "",
+      carType: false,
       carManufacturedYear: 1900,
       noPassengers: 0,
@@ -107,8 +107,6 @@
                 createTransport(formData, edit);
                 props.refresh((prev) => {
-                  return ++prev;
+                  return prev + 1;
                 })
-                if(!edit)
-                    props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddTripForm.js
===================================================================
--- frontend/src/Components/Forms/AddTripForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddTripForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -232,5 +232,4 @@
                                     console.log(wayPointNames);
                                     for (let i = 0; i < routeCount - 1; i++) {
-                                        console.log(wayPoints[i])
                                         wayPointNames.push(wayPoints[i].value);
                                     }
@@ -272,6 +271,9 @@
 
                                     for (let i = 0; i < Object.values(routesForm).length; i++) {
+                                        console.log(findDependantRoutes(wayPointNames, routesForm, i))
                                         setDependencies(prevState => [...prevState, findDependantRoutes(wayPointNames, routesForm, i)])
                                     }
+                                    console.log('VO STATEOOOO')
+                                    console.log(dependencies)
                                     routesSetFormData(routesForm)
                                     setRoutes(routesVar)
Index: frontend/src/Components/Forms/EditMainRouteForm.js
===================================================================
--- frontend/src/Components/Forms/EditMainRouteForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ 	(revision )
@@ -1,85 +1,0 @@
-import React from "react";
-import useGet from "../Hooks/useGet";
-import {Col, Container, Row, Table} from "react-bootstrap";
-import AddRoomForm from "./AddRoomForm";
-import AddTripForm from "./AddTripForm";
-
-
-const EditMainRouteForm = (props) => {
-
-    console.log(props.route)
-
-    const dateFormatter = (str) => {
-        const inputDate = new Date(str);
-
-        const options = {
-            year: '2-digit',
-            month: '2-digit',
-            day: '2-digit',
-            hours: '2-digit',
-            minutes: '2-digit'
-        };
-
-        return inputDate.toLocaleString('en-GB', options);
-    }
-
-    const {
-        data,
-        isLoading,
-        setData,
-        getData
-    } = useGet(`/transport/${props.route.id}/available`)
-
-    !isLoading && console.log(data)
-
-    return (
-        <>
-            <Row>
-                <Col>
-                    <AddTripForm transportId={props.route.id} refresh={props.refresh}/>
-                </Col>
-                <Col>
-                    <Container>
-                        <Table>
-                            <thead>
-                            <tr>
-                                <th>#</th>
-                                <th>Од - До</th>
-                                <th>Време тргање</th>
-                                <th>Време пристигање</th>
-                                <th>Број патници</th>
-                                <th>Цена</th>
-                            </tr>
-                            </thead>
-                            <tbody>
-                            {!isLoading && data != null && data.map((avail) => {
-                                return (
-                                    avail.routes.map((route, i) => {
-                                        return (<tr>
-                                            <td>
-                                                {i + 1}
-                                            </td>
-                                            <td>
-                                                {route.from} - {route.to}
-                                            </td>
-                                            <td>
-                                                {dateFormatter(route.departure)}
-                                            </td>
-                                            <td>
-                                                {dateFormatter(route.arrival)}
-                                            </td>
-                                            <td>
-                                                {route.freeSpace}
-                                            </td>
-                                        </tr>)
-                            }))})}
-                            </tbody>
-                        </Table>
-                    </Container>
-                </Col>
-            </Row>
-        </>
-    )
-}
-
-export default EditMainRouteForm
Index: frontend/src/Components/Forms/EditRoomForm.js
===================================================================
--- frontend/src/Components/Forms/EditRoomForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/EditRoomForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -28,6 +28,4 @@
     } = useGet(`/hotel/rooms/${props.room.hotelRoomId}/available`)
 
-    console.log(`/hotel/rooms/${props.room.hotelRoomId}/available`)
-
     !isLoading && console.log(data)
 
@@ -44,7 +42,7 @@
                             <tr>
                                 <th>#</th>
-                                <th>Oд</th>
-                                <th>До</th>
-                                <th>Цена</th>
+                                <th>Достапно од</th>
+                                <th>Достапно до</th>
+                                <th>Број на соби</th>
                             </tr>
                             </thead>
